Bug 231161 - New port: math/cddlib - C implementation of the Double Description Method of Motzkin et al
Summary: New port: math/cddlib - C implementation of the Double Description Method of ...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL:
Keywords:
Depends on:
Blocks: 231186
  Show dependency treegraph
 
Reported: 2018-09-04 20:16 UTC by Lorenzo Salvadore
Modified: 2018-10-13 16:31 UTC (History)
1 user (show)

See Also:


Attachments
Shar file of cddlib port (9.05 KB, text/plain)
2018-09-04 20:16 UTC, Lorenzo Salvadore
no flags Details
shar file for cddlib port - correction 1 (9.03 KB, text/plain)
2018-09-30 10:18 UTC, Lorenzo Salvadore
no flags Details
patch to the ports tree V2 (9.86 KB, patch)
2018-09-30 21:17 UTC, Fernando Apesteguía
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Lorenzo Salvadore 2018-09-04 20:16:53 UTC
Created attachment 196871 [details]
Shar file of cddlib port

This is a library needed as dependency or optional dependency by many others mathematical softwares.

I am porting it because I am working at porting CoCoA, which, for example, has cddlib as optional dependency.
Comment 1 Lorenzo Salvadore 2018-09-30 10:18:57 UTC
Created attachment 197623 [details]
shar file for cddlib port - correction 1

I have done some style corrections based on the suggestions I received on bug #231807.
Comment 2 Fernando Apesteguía freebsd_committer 2018-09-30 21:00:20 UTC
Take
Comment 3 Fernando Apesteguía freebsd_committer 2018-09-30 21:17:52 UTC
Created attachment 197646 [details]
patch to the ports tree V2

Hi Lorenzo,

Thank you very much for the patch. I did some changes mainly moving variables in the Makefile to adhere to the standard order (https://www.freebsd.org/doc/en/books/porters-handbook/book.html#porting-order)

Also, I removed pkg-help and add its content to pkg-descr.

Does it look good?
Comment 4 Lorenzo Salvadore 2018-09-30 21:28:53 UTC
Yes, it is good.

Thanks.
Comment 5 commit-hook freebsd_committer 2018-10-13 16:30:37 UTC
A commit references this bug:

Author: fernape
Date: Sat Oct 13 16:29:46 UTC 2018
New revision: 481995
URL: https://svnweb.freebsd.org/changeset/ports/481995

Log:
  New port: math/cddlib

  C implementation of the Double Description Method of Motzkin et al

  PR:	231161
  Submitted by:	phascolarctos@protonmail.ch
  Reviewed by:	tcberner (mentor, implicit)
  Differential Revision:	https://reviews.freebsd.org/D17385

Changes:
  head/math/Makefile
  head/math/cddlib/
  head/math/cddlib/Makefile
  head/math/cddlib/distinfo
  head/math/cddlib/pkg-descr
  head/math/cddlib/pkg-plist
Comment 6 Fernando Apesteguía freebsd_committer 2018-10-13 16:31:20 UTC
Committed,

Thanks!